<div class="category-management">
  <h2 class="pb-2 header">
    <span id="category-management-page-heading"
      jhiTranslate="categoryManagement.home.title">Category management</span>

    <button class="btn btn-primary float-right jh-create-entity" (click)="openCreateModal()">
      <span jhiTranslate="categoryManagement.home.createButton">Create category</span>
    </button>
  </h2>
  <div class="row text-center">
    <div class="col-12">
      <div class="alert alert-secondary" role="alert" *ngIf="categories && categories.length === 0">
        <span jhiTranslate="global.dataEmpty"> categories are empty! </span>
      </div>
    </div>
  </div>
  <div class="table-responsive border-table" *ngIf="categories">
    <table class="table table-striped mb-0" aria-describedby="category-management-page-heading">
      <thead class="thead-light">
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="transition.bind(this)">
          <th scope="col" jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="name"><span jhiTranslate="categoryManagement.home.name">Name</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody *ngIf="categories">
        <tr *ngFor="let category of categories;">
          <td>{{ category.id }}</td>
          <td>{{ category.name }}</td>
          <td class="text-right">
            <div class="btn-group">
              <button ngbTooltip="{{'entity.action.edit' | translate}}" class="btn custom-icon-btn" type="button"  (click)="openEditModal(category.id, category.name)">
                <i class="bi bi-pencil"></i>
              </button>
              <button ngbTooltip="{{'entity.action.delete' | translate}}" class="btn custom-icon-btn" type="button" (click)="openDeleteModal(category.id, category.name)">
                <i class="bi bi-trash"></i>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div *ngIf="categories" class="pt-5 d-flex justify-content-end mr-0">
    <jhi-item-count class="mr-4 align-self-center" [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage">
    </jhi-item-count>
    <ngb-pagination size="sm" [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="3"
      [rotate]="true" [boundaryLinks]="true" (pageChange)="transition()"></ngb-pagination>
  </div>
</div>